3 Replies Latest reply on Dec 16, 2014 3:48 AM by andy232

    IsInstalled-Bedingung und FileVersion unlogisch

    andy232 Specialist
      Hallo,

      ich möchte ein Paket nur installieren, wenn die Dateiversion kleiner gleich 2.0 ist.
      Da es ja kein kleiner gleich gibt, muß man laut DSM das mit NOT lösen:

      Also:
      Not (Fileversion < 2.0)

      Das ist ja dasselbe wie (Fileversion >= 2.0).

      Mein Problem: Wenn es die Datei nicht gibt, wird der Ausdruck "True"und die Software wird nicht installiert. Aber sie soll ja in dem Fall installiert werden

      Hat jemand einen Tip ?

      Ein Workaround wäre vielleicht, die obige Abfrage mit FileExists zu vernüpfen. Aber ich befürchte, daß mehrere IsInstalled-Bedingungen mit "ODER" statt mit "UND" verknüpft werden ?

      Vielen Dank und Gruß, Andy.